let FullApps = [
"melawy-welcome.desktop",
"systemsettings.desktop",
"org.manjaro.pamac.manager.desktop",
"org.kde.dolphin.desktop",
"org.kde.konsole.desktop",
"org.kde.kcalc.desktop",
"org.kde.kate.desktop",
"code.desktop",
"org.telegram.desktop.desktop",
"discord.desktop",
"Zoom.desktop",
"firefoxdeveloperedition.desktop",
"firefox.desktop",
"brave-browser.desktop",
"google-chrome.desktop"
];

let applications = '';
FullApps.forEach((i) => {
    if (applicationExists(i))  {
        applications += 'applications:' + i + ',';
    }
});

applications = applications.substring(0, applications.length - 1).split(',');

  /*dock*/
applet.currentConfigGroup = [];
applet.writeConfig("launchers", "")
applet.currentConfigGroup = ["General"];
applet.writeConfig("indicateAudioStreams", "true")
applet.writeConfig("iconSpacing", "0")
applet.writeConfig("launchers", `${applications}`)
applet.writeConfig("maxStripes", "1")
